<?php
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Кто тут?</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol}; text-align: center }";
echo "</style>";
echo "</head>";
echo "<body>";
$prizrak = $row['prizrak'];
if ( $prizrak == "1" ){ $login = ""; }
///////////
$rm = intval( $rm );
if ( $rm < 0 || 10 < $rm || !isset( $rm ) )
{
$rm = 9;
}
$q = mysql_query( "select `name` from `setts` where var='".$rm."';" );
$setts = @mysql_fetch_array( @$q );
$title = $setts['name'];
$q1 = mysql_query( "select id, login, level from users where ltime>'".intval( time( ) - 300 )."' AND lroom='".$rm."' order by ltime desc;" );
$onl = mysql_num_rows( $q1 );
echo "<div>{$title} [{$onl}]</div>";
while ( $a = mysql_fetch_array( $q1 ) )
{
$nick = $a['login'];
$dbid = $a['id'];

$prizrak = $row['prizrak'];
if ( $prizrak == "1" ){ $login = ""; }

++$i;
echo "{$i}.\r<a href=\"say.php?id={$id}&amp;pass={$pass}&amp;dbid={$dbid}&amp;rm={$rm}&amp;ref={$ref}\">{$nick}</a><br/>";
}
echo "---<br/><a href=\"room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">в чат</a><br/>";
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a>";
$end = gettime( );
echo "<p align=\"center\">";
echo "[".round( $end - $mystart, 5 )."]</p>";
echo "</body></html>";
mysql_close( $link );
?>